#ifndef _FOC_STM_H__
#define _FOC_STM_H__
#include "foc/foc_api.h"
#include "foc/foc_core.h"

FOCState foc_stm_state(void);
foc_fault_t foc_stm_nextstate(FOCState state);
void FOC_Normal_Task(motor_foc_t *foc);
#endif /* _FOC_STM_H__ */
